<?xml version="1.0" encoding="ISO-8859-1"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mminfo"><info><pubdate>May 2000  </pubdate></info><refnamediv><refname>mminfo</refname><refpurpose> reads the contents of the Matrix Market file 'filename' and extracts informations on size and storage  </refpurpose></refnamediv>
  
   
  
   
  
   
  
   
  
   
  
   <refsynopsisdiv><title>Calling Sequence</title><synopsis>[rows, cols, entr, rep, typ, symm] = mminfo(file)</synopsis></refsynopsisdiv>
  
   <refsection><title>Parameters</title>
 
      <variablelist>
  
         <varlistentry>
  
            <term>file  </term>
  
            <listitem>
    : the name of the Matrix Market file
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>rows  </term>
  
            <listitem>
    : number of rows of the matrix
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>cols  </term>
  
            <listitem>
    : number of columns of the matrix
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>entr  </term>
  
            <listitem>
    : number of nonzero entries stored in the file
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>rep  </term>
  
            <listitem>
    : representation of the Matrix Market format
  </listitem> 
  
         </varlistentry>
  
         <para>
      -'coordinate', coordinate sparse storage
  </para>
  
         <para>
      -'array', dense array storage
  </para>
  
         <varlistentry>
  
            <term>typ  </term>
  
            <listitem>
    : type of the entries: 'real', 'complex', 'integer', pattern'
  </listitem> 
  
         </varlistentry>
  
         <varlistentry>
  
            <term>symm  </term>
  
            <listitem>
    : gives some informations about the symmetry of the matrix: 'general', 'symmetric', 'hermitian', 'skew-symmetric'
  </listitem> 
  
         </varlistentry>
 
      </variablelist>
  
   </refsection>
  
   <refsection><title>Description</title>
  
      <para>
    Reads the contents of the Matrix Market file 'file' and extracts informations on size and storage. For coordinate sparse storage, <literal>entr</literal> refers to the number of nonzero entries stored in the file. The <literal>nnz</literal> command
    determines the final number of nonzero entries in the matrix after the data extraction. For array sparse storage, <literal>entr</literal> is the product <literal>rows*cols</literal> and represents the final number of nonzero entries in the matrix too.
  </para>
  
   </refsection>
  
   <refsection><title>Examples</title><programlisting role="example"><![CDATA[
[rows,cols] = mminfo('test.mtx')
[rows,cols,entr,rep,typ,symm] = mminfo('test.mtx')
The file 'test.mtx' has been priorly downloaded from the Matrix Market home page. 
 ]]></programlisting></refsection>
  
   <refsection><title>Authors</title><para>Adaptation by Aladin of the corresponding code of Matrix Market set - 14 May 2001.  </para></refsection>
  
   <refsection><title>See Also</title><simplelist type="inline">
    
      <member> 
         <link linkend="mmread">mmread</link> 
      </member>     
      <member> 
         <link linkend="mmwrite">mmwrite</link> 
      </member>
  
   </simplelist></refsection>

</refentry>